<?php
use Psr\Container\ContainerInterface as Container;

return [
  'base_url' => DI\decorate(function($prev, Container $c) {
    return $prev . '/api';
  }),
  'locations' => DI\decorate(function($prev, Container $c) {
    $arr = (array) $prev;
    $arr['cache'] = $prev->base . '/cache';
    $arr['views'] = $prev->resources . '/views';
    return (object) $arr;
  })
];
